<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="select-client_host">

 <lire:title>Select Client Host Filter</lire:title>
 <lire:description>
  <para>This filter specification can be used to select only the
   requests by a particular client.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="client_match" type="string" default=".*">
   <lire:description>
    <para>This parameter contains the regular expression that will be
     used to select the client. Only requests made by a client host
     matching that regexp will be included in the subreports.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>selected requests with a client_host matching $client_match</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$client_host" re="$client_match"
   case-sensitive="false"/>
 </lire:filter-spec>

</lire:global-filter-spec>
